--[Pygmalie's Study Part 2]
--Used to show a cutscene.
TL_SetProperty("Begin Major Dialogue")
fnCutsceneInstruction([[ WD_SetProperty("Show") ]])
fnCutsceneInstruction([[ WD_SetProperty("Activate Scene") ]])
fnCutsceneInstruction([[ WD_SetProperty("Set Scene Image", "Root/Images/DollManor/Endings/BigHug") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "You wrestle and struggle. Strange thoughts enter your head. Strange... Familiar... Mary... Doll...[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Reality and dream. Mary and Doll. It's a thin line between the two, and you stumble over it.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "You roll back. You stand up. You look at yourself. You're a doll. A doll dressed like a dancer.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Your skin is hardened plastic, and your joints are rotating balls. Lauren hugs you tight, so tight you think he's going to squeeze your limbs out of their sockets.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "You're still Mary, and a doll. There is a strange disconnect. Your time as a book and as a doll - you'll sort it out later.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Jessie: Mary?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: Jessie! Lauren! I missed you so much![BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Lauren: I missed you too...[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "When he withdraws, the determined look fades. He smiles.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Jessie: So it worked?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: Yeah, I'm myself. More or less.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "You try out your arm. It doesn't feel quite the same as your flesh arm did. If anything, it feels lighter, but stronger.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: None of the dolls will suspect me. I can go anywhere I want.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Jessie: Including into the altar room?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: Yes. Play along if a doll asks about you.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Lauren: What do we do now? Sarah?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Lauren opens up Sarah's book. The page writes. 'We must go to the altar room and make a sacrifice. That is the only way.'[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Jessie: Sarah... do you want... your body back?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "The page writes. 'I do not. I think I am too much of a coward. Please, keep me from my body.'[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Jessie: Should we... deal with her?[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "The page writes. 'If you must. I am not certain if her death will lead to mine, but if you must destroy my body, do so. We are not innocent. Her crimes are my crimes.'[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: So that's it, then. Come on. Let's go see my creator.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Lauren: Don't talk like that.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Mary: It's a joke, squirt.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Lauren giggles a bit. He's forcing it. He's still serious. You give him a smile.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "You pick up [sarah] and take her with you.[BLOCK][CLEAR]") ]])
fnCutsceneInstruction([[ WD_SetProperty("Append", "Enemies will now ignore you on your way to the altar room.") ]])
fnCutsceneBlocker()
